Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push.xml
Class PushRegistration

    java.lang.Object
      org.hornetq.rest.queue.push.xml.PushRegistration

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PushTopicRegistration

    public class PushRegistration

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`PushRegistration()`

Method Summary
`Authentication` | `getAuthenticationMechanism()`
`java.lang.String` | `getDestination()`
`java.util.List<XmlHttpHeader>` | `getHeaders()`
`java.lang.String` | `getId()`
`java.lang.Object` | `getLoadedFrom()`
`java.lang.String` | `getSelector()`
`XmlLink` | `getTarget()`
`boolean` | `isDurable()`
`void` | `setAuthenticationMechanism(Authentication authenticationMechanism)`
`void` | `setDestination(java.lang.String destination)`
`void` | `setDurable(boolean durable)`
`void` | `setHeaders(java.util.List<XmlHttpHeader> headers)`
`void` | `setId(java.lang.String id)`
`void` | `setLoadedFrom(java.lang.Object loadedFrom)`
`void` | `setSelector(java.lang.String selector)`
`void` | `setTarget(XmlLink target)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PushRegistration

    public PushRegistration()

Method Detail

### getLoadedFrom

    public java.lang.Object getLoadedFrom()

### setLoadedFrom

    public void setLoadedFrom(java.lang.Object loadedFrom)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

### isDurable

    public boolean isDurable()

### setDurable

    public void setDurable(boolean durable)

### getSelector

    public java.lang.String getSelector()

### setSelector

    public void setSelector(java.lang.String selector)

### getTarget

    public XmlLink getTarget()

### setTarget

    public void setTarget(XmlLink target)

### getAuthenticationMechanism

    public Authentication getAuthenticationMechanism()

### setAuthenticationMechanism

    public void setAuthenticationMechanism(Authentication authenticationMechanism)

### getHeaders

    public java.util.List<XmlHttpHeader> getHeaders()

### setHeaders

    public void setHeaders(java.util.List<XmlHttpHeader> headers)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.